{{--
Recaptcha Implementations Basic Steps
1. Get your keys at https://www.google.com/recaptcha/admin
2. Add them to the env file (just the ones your going to use)
3. If you change Recaptcha version or site, you will need other keys
4. Use config file to enable/disable, add actions and control score threshold
--}}

{{--
"Captcha 2 Check Box" already implemented in: User Register Form
--}}

{{--
"Captcha 2 Invisible" already implemented in: User Register Form Quick
--}}

{{--
Captcha 3 can be implemented in two ways: On Load Page and On Submit Form
-   Mode "On Load Page" already implemented in:
o	home_page
o	welcome_page
o	user_register
o	user_register_quick
-	Mode "On Submit Form" already implemented in:
o	user_login_form
o	user_edit_form
o	2fa_ini_form //2FA: send code
o	2fa_enter_form //2FA: enter code
o	cp_find_form //change pass: find user
o	cp_enter_form //change pass: enter code
o	cp_new_form //change pass: enter new pass
--}}

{{--Copy Paste Code--}}
{{-- Recaptcha 2 checkbox (challenge) Note: challenge not always shows ***************--}}
{{--add this inside the form--}}
@include('tfa::captcha',['type' => 'challenge'])

{{-- Recaptcha 2 invisible (challenge) Note: challenge not always shows ************* --}}
{{--use this form id or modify value in captcha.blade--}}
<form id="main_form" method="POST"></form>

{{--add this inside the form--}}
@include('tfa::captcha',['type' => 'challenge_invisible'])

{{--modify the submit button--}}
<button class="g-recaptcha btn btn-primary" data-sitekey="{{env('RECAPTCHA_V2_INVI_SITE_KEY')}}" data-callback='recapSubmit'>Submit</button>

{{-- Recaptcha 3 implemented as on load page *****************************************--}}
{{--add this at top--}}
@include('tfa::captcha',['type' => 'page', 'action' => 'descriptive_name'])

{{-- Recaptcha 3 implemented as on submit form ***************************************--}}
{{--use this form id or modify argument value in recapSubmit()--}}
<form id="main_form" method="POST"></form>

{{--modify the submit button--}}
<button type="button" onclick="recapSubmit('main_form')" class="btn btn-primary">Submit</button>

{{--add this inside the form--}}
@include('tfa::captcha',['type' => 'form', 'action' => 'descriptive_name'])
@error('g-recaptcha-response')
<span style="font-size: 80%; color: #e3342f;" role="alert">
        <strong>{{ $errors->first('g-recaptcha-response') }}</strong>
    </span>
@enderror

{{-- Controller for 2 & 3 ************************************************************--}}
@php
    use App\Tfa;
    // In your controller just add the rule
    if($request->exists('g-recaptcha-response'))$rules = $rules + ['g-recaptcha-response' => [new RuleCaptcha]];
    // If you need the verify info
    $response = recaptchaTokenVerify($request->get('g-recaptcha-response'));
    // You could also get the score from the rule class
    $rules = $rules + ['g-recaptcha-response' => [$RuleCaptcha = new App\Tfa\RuleCaptcha]];
    $score = $RuleCaptcha->score;
@endphp
